#include "baseentity.h"
#include "physics.h"

class CLight: public CBaseEntity
{
public:
	virtual void Precache ( void ) override;
	virtual void Spawn( void ) override;
	virtual void ReadParameter( const char *szName, const char *szValue ) override;
	virtual void Destroy( void ) override;
	virtual void Think( float fDelta ) override;
};

void CLight::Precache()
{

}

void CLight::Spawn()
{

};


void CLight::ReadParameter( const char *szName, const char *szValue )
{
	CBaseEntity::ReadParameter(szName, szValue);
}

void CLight::Destroy()
{

}
void CLight::Think( float fDelta )
{

};

DECLARE_ENTITY(light, CLight)
